await seam.noiseSensors.noiseThresholds.get({
noise_threshold_id: "8282891b-c4da-4239-8f01-56089d44b80d",
});
/*
{
"device_id": "736fc5bf-192d-4416-b879-66ff0195f2f7",
"ends_daily_at": "2025-06-19T12:38:44.000Z",
"name": "My Noise Sensor",
"noise_threshold_decibels": 50,
"noise_threshold_id": "8282891b-c4da-4239-8f01-56089d44b80d",
"noise_threshold_nrs": 40,
"starts_daily_at": "2025-06-20T18:29:57.000Z"
}
*/{
"noise_threshold": {
"device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ends_daily_at": "<string>",
"name": "<string>",
"noise_threshold_decibels": 123,
"noise_threshold_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"starts_daily_at": "<string>",
"noise_threshold_nrs": 123
}
}Noise Thresholds
Get a Noise Threshold
Returns a specified noise threshold for a noise sensor.
GET
/
noise_sensors
/
noise_thresholds
/
get
await seam.noiseSensors.noiseThresholds.get({
noise_threshold_id: "8282891b-c4da-4239-8f01-56089d44b80d",
});
/*
{
"device_id": "736fc5bf-192d-4416-b879-66ff0195f2f7",
"ends_daily_at": "2025-06-19T12:38:44.000Z",
"name": "My Noise Sensor",
"noise_threshold_decibels": 50,
"noise_threshold_id": "8282891b-c4da-4239-8f01-56089d44b80d",
"noise_threshold_nrs": 40,
"starts_daily_at": "2025-06-20T18:29:57.000Z"
}
*/{
"noise_threshold": {
"device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ends_daily_at": "<string>",
"name": "<string>",
"noise_threshold_decibels": 123,
"noise_threshold_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"starts_daily_at": "<string>",
"noise_threshold_nrs": 123
}
}Authorizations
api_keypat_with_workspaceconsole_session_with_workspacesupport_read_only_token
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
ID of the noise threshold that you want to get.
Response
OK
Represents a noise threshold for a noise sensor. Thresholds represent the limits of noise tolerated at a property, which can be customized for each hour of the day. Each device has its own default thresholds, but you can use the Seam API to modify them. See the noise_threshold object.
Show child attributes
Show child attributes
Was this page helpful?